/**
 ** attentionalCntrlTaskCodels.cc
 **
 ** Codels used by the control task attentionalCntrlTask
 **
 ** Author: 
 ** Date: 
 **
 **/

#include <portLib.h>

#include "server/attentionalHeader.h"
#include <math.h>

/*
int minimum (int x, int y){
  if (x<=y) return x;
  else return y;
}

int maximum (int x, int y){
  if (x>=y) return x;
  else return y;
}*/

/*------------------------------------------------------------------------
 * attentionalSetHumanCostCntrl  -  control codel of CONTROL request SetHumanCost
 *
 * Description:    
 * Report: OK
 *                 S_attentional_COST_OUT_OF_BOUND
 *
 * Returns:    OK or ERROR
 */

STATUS
attentionalSetHumanCostCntrl(double *costValue, int *report)
{
  if (*costValue < -1) {
    *report = S_attentional_COST_OUT_OF_BOUND;
    return ERROR;
  }
  if (*costValue > 1) {
    *report = S_attentional_COST_OUT_OF_BOUND;
    return ERROR;
  }
  
  SDI_F->humanCostDist.costDistRobToHum = *costValue;
  
  return OK;
}


/*-----------------------------------------------------------------------------------------
* attentionalUpdateClockPeriod    -  updates the behavior clocks periods
*
*
*
*/

/*
STATUS 
attentionalUpdateClockPeriod(int behavior, ATTENTIONAL_CONTROL *params, int *report)
{ 
  int p_old, p_new, cicle_old, cicle_new;
  
  // retrive t-1 parameters
  p_old = params->period[behavior];
  cicle_old = params->cicle[behavior];
  
  if ((cicle_old % p_old) == 0)
  {
    p_new = p_old + 1; 
    cicle_new = 0;
  }
  else
  {
     cicle_new = cicle_old++;
  }
  
  // update behavior period and cicle
  params->period[behavior] = p_new;
  params->cicle[behavior] = cicle_new;
  
  return OK; 
}*/


/*-----------------------------------------------------------------------------------------
* attentionalUpdate    -  updates the behavior cost periods
*
*
*
*/





